# digital_ocean_tag_info – Gather information about DigitalOcean tags

New in version 2.6.

- Synopsis

- Requirements

- Parameters

- Examples

- Return Values

- Status

## Synopsis

- This module can be used to gather information about DigitalOcean provided tags.

- This module was called `digital_ocean_tag_facts` before Ansible 2.9. The usage did not change.

Aliases: digital_ocean_tag_facts

## Requirements

The below requirements are needed on the host that executes this module.

- python >= 2.6

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
oauth_token string |  | DigitalOcean OAuth token. There are several other environment variables which can be used to provide this value. i.e., - 'DO_API_TOKEN', 'DO_API_KEY', 'DO_OAUTH_TOKEN' and 'OAUTH_TOKEN' aliases: api_token
tag_name - |  | Tag name that can be used to identify and reference a tag.
timeout integer | Default: 30 | The timeout in seconds used for polling DigitalOcean's API.

validate_certs
boolean

Choices:
- no
- yes ←

If set to `no`, the SSL certificates will not be validated.
This should only set to `no` used on personally controlled sites using self-signed certificates.

## Examples

    - name: Gather information about all tags
      digital_ocean_tag_info:
        oauth_token: "{{ oauth_token }}"

    - name: Gather information about tag with given name
      digital_ocean_tag_info:
        oauth_token: "{{ oauth_token }}"
        tag_name: "extra_awesome_tag"

    - name: Get resources from tag name
      digital_ocean_tag_info:
      register: resp_out
    - set_fact:
        resources: "{{ item.resources }}"
      loop: "{{ resp_out.data|json_query(name) }}"
      vars:
        name: "[?name=='extra_awesome_tag']"
    - debug: var=resources

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
data list | success | DigitalOcean tag information Sample: [{'name': 'extra-awesome', 'resources': {'droplets': {'count': 1, '...': None}}}]

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Abhijeet Kasurde (@Akasurde)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.